Bug 1317059 - cgroups: cgroups.proc no such file or directory error during docker build
cgroups: cgroups.proc no such file or directory error during docker build
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mrunal Patel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-11 15:27 EST by Mrunal Patel
Modified: 2016-08-19 16:46 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1317991 (view as bug list)
Environment:
Last Closed: 2016-08-19 16:46:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mrunal Patel 2016-03-11 15:27:18 EST
Description of problem:

Errors such as
System error: open /sys/fs/cgroup/devices/system.slice/docker-fc2e8c0bfdef0d585ed13e784ccc1024ec33f4f01e3c4c992ea15b38abca58b7.scope/cgroup.procs: no such file or directory

are seen during origin tests.
For more info see https://github.com/openshift/origin/issues/7927

Version-Release number of selected component (if applicable):
docker 1.9.1

How reproducible:
Seen during jenkins tests



Actual results:
docker build failure

Expected results:
docker build shouldn't fail with this cgroups error


Additional info:
This seems like a probable race of some kind with systemd cgroups support.

The code that is failing does the following:
1. Creates a systemd transient unit for e.g. /system.slice/docker-fc2e8c0bfdef0d585ed13e784ccc1024ec33f4f01e3c4c992ea15b38abca58b7.scope
2. Join the device cgroup manually by creating the device directory
at sys/fs/cgroup/devices/system.slice/docker-fc2e8c0bfdef0d585ed13e784ccc1024ec33f4f01e3c4c992ea15b38abca58b7.scope
3. Write the pid of the container process to 
/sys/fs/cgroup/devices/system.slice/docker-fc2e8c0bfdef0d585ed13e784ccc1024ec33f4f01e3c4c992ea15b38abca58b7.scope/cgroup.procs (creating the file as well)
Comment 1 Clayton Coleman 2016-03-15 10:25:10 EDT
This blocks the OpenShift 3.2 release, given that it results in failures in roughly 1% of container launches on Docker 1.9 on RHEL.
Comment 2 Mrunal Patel 2016-03-15 13:17:34 EDT
https://github.com/projectatomic/docker/pull/76 is a potential fix that we need a rpm for.
Comment 3 Daniel Walsh 2016-06-03 14:56:50 EDT
Mrunal can I close this, Do we have this in docker-1.9?

Note You need to log in before you can comment on or make changes to this bug.